import React, { useEffect, useState } from "react";
import Dots from "./Dots";
import data from "../JsonData/data.json";

const Slider = () => {
  const [currentIndex, setCurrentIndex] = useState(0);

  const handleNext = () => {
    setCurrentIndex((prev) => (prev === data.length - 1 ? 0 : prev + 1));
  };

  const handlePrev = () => {
    setCurrentIndex((prev) => (prev === 0 ? data.length - 1 : prev - 1));
  };

  useEffect(() => {
    const interval = setInterval(handleNext, 5000);
    return () => clearInterval(interval);
  }, []);

  return (
    <div className="container">
      <div className="left-btn">
        <button onClick={handlePrev}>{"<"}</button>
      </div>
      <img
        src={data[currentIndex]?.download_url}
        alt={data[currentIndex]?.title || "image-not-found"}
      />
      <div className="right-btn">
        <button onClick={handleNext}>{">"}</button>
      </div>
      <Dots
        activeIndex={currentIndex}
        sliderImage={data}
        onClick={(index) => setCurrentIndex(index)}
      />
    </div>
  );
};

export default Slider;
